﻿/*--------------header-style1-----------------*/
.header-style1{
    position: fixed;
    z-index: 999;
    display: block;
    width: 100%;
    top: 0;
    background-color: transparent;
}
.header-style1 .header-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    box-sizing: border-box;
    padding-top: 30px;
    position: relative;
    top: 0;
    transition: all .5s linear;
    transition-delay: 1s;
}
.header-style1 .header-box.noheader{
    top: -110px;
    opacity: 0;
    transition: all .5s linear;
}
.header-left-box{
    width: 960px;
    max-width: 100%;
    display: inline-block;
    vertical-align: middle;
    background-color: #FFF;
    border-radius: 35px;
    box-sizing: border-box;
    padding: 10.5px 25px;
    transition: all .3s linear;
}
.header-style1 .header-logo{
    width: 120px;
    max-width: 100%;
    display: inline-block;
    position: relative;
    vertical-align: middle;
}
.header-style1 .header-menu-box{
    width: calc(100% - 120px);
    display: inline-block;
    vertical-align: middle;
    font-size: 0;
    text-align: right;
}
.header-style1 .header-menu> li{
    display: inline-block;
    vertical-align: middle;
    position: relative;
    margin-left: 25px;
}
.header-style1 .header-menu> li:first-child{
    margin-left: 0;
    color: #ae8c4f;
}

.header2 .header-left-box{
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.2);
}
.header2 .header-shopingcart,
.header2 .header-member{
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
}
.header-menu-list-box li{
    margin-bottom: 30px
}

.header-menu-title p{
    font-size: 16px;
    color: #555;
    position: relative;
    display: inline-block;
    vertical-align: middle;
    letter-spacing: 0.1em;
    transition: all .3s linear;
}
.header-menu-title-img{
    width: 40px;
    height: 40px;
    display: inline-block;
    vertical-align: middle;
    background-color: #3f3437;
    border-radius: 50%;
    margin-right: 10px;
    text-align: left;
}
div.header-menu-title{
    cursor: context-menu;
}

.header-style1 .header-menu> li:last-child .header-menu-title-img{
    background-color: #ae8c4f;
}
.header-female .header-menu-title-img,
.header-male .header-menu-title-img{
    background-color: transparent;
    border-radius: 0;
    width: 50px;
    height: 50px;
    margin-right: 5px;
}
.header-shopingcart-box{
    display: inline-block;
    vertical-align: middle;
    margin-left: calc((100% - (960px + 80px + 80px)) / 2);
}
.header-shopingcart{
    width: 80px;
    height: 80px;
    background-color: #a18873;
    border-radius: 50%;
    position: relative;
    transition: all .3s linear;
    display: block;
}
.header-shopingcart>span{
    z-index: 2;
}
.header-shopingcart-number{
    width: 24px;
    display: block;
    position: absolute;
    right: 10px;
    top: 18px;
    z-index: 2;
    background-color: #fff;
    border: 1px solid #a18873;
    border-radius: 50%;
    box-sizing: border-box;
    font-size: 14px;
    font-family: "Roboto";
    font-weight: 500;
    text-align: center;
    line-height: 22px;
    color: #a18873;
}

.header-member-box{
    display: inline-block;
    vertical-align: middle;
    margin-left: calc((100% - (960px + 80px + 80px)) / 2);
}
.header-member{
    width: 80px;
    height: 80px;
    display: block;
    background-color: #3f3437;
    border-radius: 50%;
    text-align: center;
    box-sizing: border-box;
    padding-top: 10px;
    position: relative;
    transition: all .3s linear;
}
.header-member>span{
    z-index: 2;
    position: relative;
}
.header-member p{
    display: block;
    font-size: 14px;
    letter-spacing: 0.06em;
    color: #fff;
    line-height: 2;
    position: relative;
    z-index: 2;
}




.rwd-menu-list-back{
    display: none;
}
.mask{
    width: 100%;
    height: 100vh;
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.7);
}

.mask.active{
    display: block;
}

.rwd-menu{
    width: 30px;
    max-width: 100%;
    position: absolute;
    right: 50px;
    z-index: 99999;
    display: none;
    top: calc(50% - 3px);
}
.rwd-menu span{
    width: 100%;
    display: block;
    margin: 0 auto;
    height: 2px;
    background-color: #a18873;
    position: relative;
}


.shopingcart_fixed-fancybox-box{
    width: 100%;
    display: block;
    position: fixed;
    z-index: 100000;
    height: 100vh;
    top: 0;
    left: 0;
    transition: all .3s linear;
    font-size: 0;
    pointer-events: none;
}
.shopingcart_fixed-fancybox-box.active{
    pointer-events: all;
}
.shopingcart_fixed-fancybox{
    width: 560px;
    max-width: 100%;
    display: inline-block;
    position: relative;
    z-index: 6;
    height: 100vh;
    background-color: #f5f5f5;
    transition: all .3s linear;
    padding: 10px 20px;
    box-sizing: border-box;
    font-size: 0;
    left: -560px;
}
.shopingcart_fixed-fancybox.active .shopingcart_fixed-fancybox{
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.35);
}
.shopingcart_fixed-fancybox-box.active .shopingcart_fixed-fancybox{
    left: 0;
}
.shopingcart_fixed-fancybox-box .fancybox-mask-box{
    display: none;
}
.shopingcart_fixed-fancybox-box.active .fancybox-mask-box{
    display: block;
}

.buycar-fixed-title-box {
    width: 100%;
}
.buycar-fixed-title-logo {
    display: inline-block;
    vertical-align: bottom;
    width: 100px;
}
.buycar-fixed-title {
    width: calc(100% - 100px);
    text-align: right;
    display: inline-block;
    font-size: 18px;
    color: #000;
    letter-spacing: 2px;
    box-sizing: border-box;
    vertical-align: bottom;
    line-height: 1;
}
.buycar-fixed-buy-box {
    width: 100%;
    text-align: right;
}
.buycar-fixed-buy {
    width: 110px;
    height: 36px;
    display: inline-block;
    background-color: #fff;
    box-sizing: border-box;
    text-align: left;
    padding: 5px 10px;
    position: relative;
    transition: all .3s linear;
}
.buycar-fixed-buy span {
    display: block;
    width: 100%;
    font-size: 18px;
    color: #3f3437;
    letter-spacing: 1px;
    position: relative;
    transition: all .3s linear;
}
.buycar-fixed-buy span:before {
    content: '';
    width: 100%;
    height: 1px;
    position: absolute;
    bottom: 0;
    background-color: #3f3437;
    transition: all .3s linear;
}
.buycar-fixed-buy span:after {
    content: '';
    width: 0;
    height: 0;
    border-right: 5px solid transparent;
    border-bottom: 5px solid #3f3437;
    border-left: 5px solid transparent;
    display: block;
    position: absolute;
    bottom: 0;
    right: -1px;
    z-index: 2;
    transition: all .3s linear;
}
.buycar-fixed-list-box {
    width: 100%;
    display: block;
    max-height: calc(100vh - 150px);
    overflow: auto;
    margin-top: 20px;
    font-size: 0;
}
.buycar-fixed-list {
    width: 100%;
    margin-bottom: 20px;
    background-color: #fff;
    box-sizing: border-box;
    padding: 12px;
}
.buycar-fixed-list-img {
    width: 100px;
    height: 100px;
    display: inline-block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    vertical-align: top;
}
.buycar-fixed-list-info-box {
    width: calc(100% - 120px);
    display: inline-block;
    vertical-align: top;
    box-sizing: border-box;
    padding: 0 10px;
    position: relative;
}
.buycar-fixed-list-del {
    width: 20px;
    display: inline-block;
    font-size: 18px;
    color: #d1d1d1;
    text-align: center;
    position: relative;
    top: 30px;
    transition: all .3s linear;
}
.buycar-fixed-list-info-name {
    font-size: 16px;
    letter-spacing: 1px;
}
.buycar-fixed-list-info-capacity-box {
    font-size: 16px;
    color: #888;
    letter-spacing: 1px;
    margin-bottom: 28px;
}
.buycar-fixed-list-many-box {
    width: 100px;
    max-width: 100%;
    margin: 0 auto;
    display: inline-block;
    font-size: 0;
    vertical-align: middle;
}
.buycar-fixed-list-bth {
    display: inline-block;
    vertical-align: top;
    border: 1px solid #ddd;
    font-size: 16px;
    width: 24px;
    height: 24px;
    line-height: 20px;
    text-align: center;
    color: #888;
    box-sizing: border-box;
    cursor: pointer;
}
.buycar-fixed-list-many-box input {
    display: inline-block;
    vertical-align: top;
    font-size: 16px;
    border: 1px solid #ddd;
    width: calc(100% - 48px);
    height: 24px;
    box-sizing: border-box;
    color: #888;
    text-align: center;
    border-right: 0;
    border-left: 0;
}
.buycar-fixed-list-price-box {
    display: inline-block;
    vertical-align: middle;
    width: calc(100% - 120px);
    font-size: 20px;
    color: #a18873;
    font-family: 'roboto';
    margin-left: 20px;
    letter-spacing: 2px;
}



/*漢堡樣式1*/
.rwd-menu-style1> span:nth-child(even){
    margin: 4px auto;
    transition: all .4s linear;
}
.rwd-menu-style1> span:nth-child(1){
    transform: scale(1);
    transform-origin: left;
    transition: all .4s linear;
}
.rwd-menu-style1> span:nth-child(3){
    transform: scale(1);
    transform-origin: right;
    transition: all .4s linear;
}
.rwd-menu-style1> span:nth-child(4){
    top: -19px;
    transform:  scale(0,1) rotate(-45deg);
}
.rwd-menu-style1> span:nth-child(4){
    display: none;
}
.rwd-menu-style1 .rwd-menu-bth-line{
    transform: rotate(-45deg);
}
.rwd-menu-style1 .rwd-menu-bth-line2{
    transform: rotate(45deg);
}
.rwd-menu-style1 .rwd-menu-bth-line,
.rwd-menu-style1 .rwd-menu-bth-line2{
    position: absolute;
    top: 6px;
    left:0;
    width: 100%;
}
.rwd-menu-style1 .rwd-menu-bth-line span,
.rwd-menu-style1 .rwd-menu-bth-line2 span{
    transform:  scale(0,1);
    transition: all .5s ease;
    position: relative;
}
.rwd-menu-style1.active .rwd-menu-bth-line span,
.rwd-menu-style1.active .rwd-menu-bth-line2 span{
    transform:  scale(1,1) ;
    transition-delay: .1s;
}
.rwd-menu-style1.active> span:nth-child(1),
.rwd-menu-style1.active> span:nth-child(2),
.rwd-menu-style1.active> span:nth-child(3){
    transform: scale(0,1);
}
.rwd-menu-style1.active> span:nth-child(odd){
    transform: scale(0);
    transition: all .4s linear;
    transition-delay: 0s;
}


@keyframes smallbig{
  0%, 100%{
    -webkit-transform: scale(1);
    -ms-transform: scale(1);
    -o-transform: scale(1);
    transform: scale(1);
  }

  50%{
    -webkit-transform: scale(0);
    -ms-transform: scale(0);
    -o-transform: scale(0);
    transform: scale(0);
  }
}


.header-style1 .header-menu> li:hover .header-menu-title p{
    color: #a18873;
}
.header-shopingcart-box:hover .header-shopingcart{
    background-color: #3f3437;
}
.header-member-box:hover .header-member{
    background-color: #a18873;
}


/*------------------------------------------*/

@media only screen and (max-width: 1200px){
    .header-style1 .header-box{
        width: 1000px;
    }
    .header-left-box{
        width: 760px;
    }
    .header-style1 .header-logo {
        width: 90px;
    }
    .header-style1 .header-menu-box {
        width: calc(100% - 90px);
    }
    .header-style1 .header-menu> li{
        margin-left: 10px;
    }
    .header-style1 .header-menu> li:first-child{
        margin-left: 0;
    }
    .header-menu-title-img{
        width: 35px;
        height: 35px;
        margin-right: 5px;
    }
    .header-female .header-menu-title-img, .header-male .header-menu-title-img {
        width: 40px;
        height: 40px;
    }
    .header-menu-title p{
        font-size: 14px;
    }
    .header-shopingcart-box {
        display: inline-block;
        vertical-align: middle;
        margin-left: calc((100% - (760px + 80px + 80px)) / 2);
    }
    .header-member-box {
        display: inline-block;
        vertical-align: middle;
        margin-left: calc((100% - (760px + 80px + 80px)) / 2);
    }
}

@media only screen and (max-width: 1000px){
    .rwd-menu{
        display: block;
    }
    .header-style1 .rwd-menu{
        display: block;
    }

   
    .header-style1 .header-box{
        width: 95%;
        padding-top: 10px;
    }
    .header-left-box{
        width: 100%;
        box-shadow: none;
    }
    .rwd-header-menu-sytle1 .header-menu{
        width: 100%;
        height: 100vh;
        position: fixed;
        top: -100vh;
        left: 0;
        z-index: 3;
        display:         flex;
        display: -webkit-flex;
        align-items: center;
        -webkit-align-items: center;
        justify-content: center;
        -webkit-justify-content: center;
        flex-direction:column;
        background-color: #fff;
        transition: all .3s linear;
        opacity: 0;
    }
    
    .rwd-header-menu-sytle1 .header-menu.active{
        top: 0;
        opacity: 1;
    }
    .rwd-header-menu-sytle1.header2 .header-menu{
        width: 100%;
    }
    .rwd-header-menu-sytle1 .header-menu> li{
        display: block;
        margin: 0;
        margin-bottom: 20px;
    }
    .rwd-header-menu-sytle1 .header-menu> li:last-child{
        margin-bottom: 0;
    }
    .header-shopingcart-box{
        position: absolute;
        right: 170px;
        top: 17px;
        margin-right: 0;
    }
    .header-shopingcart {
        width: 50px;
        height: 50px;
    }
    .header-shopingcart.img > span > img{
        width: 50%;
    }
    .header-shopingcart-number{
        right: 0px;
        top: 0px;
        font-size: 12px;
    }
    .header-member-box{
        position: absolute;
        right: 100px;
        top: 17px;
        margin-right: 0;
    }
    .header-member{
        width: 50px;
        height: 50px;
        padding: 10px 10px;
    }
    .header-member > span{
        display: none;
    }
    .header-member p{
        line-height: 1;
    }
    .header-menu-title p{
        width: 105px;
        text-align: left;
        letter-spacing: 0.06em;
    }
    .header-menu-title-img{
        margin-right: 10px;
    }
    .header-female .header-menu-title-img, 
    .header-male .header-menu-title-img{
        margin-right: 10px;
    }
}

@media only screen and (max-width: 550px){
    .header-style1 .header-logo{
        width: 70px;
    }
    .header-left-box{
        border-radius: 20px;
        padding: 10px 20px;
    }
    .header-shopingcart-box {
        right: 120px;
        top: 17px;
    }
    .header-shopingcart {
        width: 40px;
        height: 40px;
    }
    .header-shopingcart-number{
        transform: scale(0.8);
        right: -4px;
        top: -4px;
    }
    .header-member-box{
        right: 70px;
        top: 17px;
    }
    .header-member{
        width: 40px;
        height: 40px;
        padding: 3px 5px;
    }
    .header-member p{
        font-size: 12px;
        line-height: 1.4;
    }
    .rwd-menu{
        right: 35px;
        width: 20px;
        transition: all .3s linear;
    }
    .rwd-menu.active{
        right: 20px;
    }
    .buycar-fixed-list-img{
        display: none;
    }
    .buycar-fixed-list-info-box {
        width: calc(100% - 20px);
        padding-left: 0;
    }
    .buycar-fixed-title{
        font-size: 16px;
        width: calc(100% - 85px);
    }
    .buycar-fixed-title-logo{
        width: 70px;
    }
    .buycar-fixed-list-box{
        margin-top: 10px;
        max-height: calc(100vh - 140px);
    }
    .buycar-fixed-list-info-name{
        font-size: 14px;
    }
    .buycar-fixed-list-info-capacity-box{
        font-size: 14px;
        margin-bottom: 15px;
    }
    .buycar-fixed-list-price-box{
        font-size: 16px;
        margin-left: 10px;
    }
    .buycar-fixed-buy span{
        font-size: 16px;
    }
    
    .buycar-fixed-close{
        font-size: 20px;
        width: 30px;
        height: 30px;
        line-height: 26px;
        text-align: center;
        color: #fff;
        background-color: #3f3437;
        position: absolute;
        top: 0;
        right: 0;
    }
}


@media only screen and (min-width: 1000px){
    @keyframes header_ani_1 {
        0%{
            top: 0;
        }
        50%{
            top: -5px;
        }
        to {
            top: 0;
        }
    }
    @keyframes header_ani_2 {
        0%{
            transform: scale(1);
        }
        40%{
            transform: scale(1.12);
        }
        65%{
            transform: scale(1.08);
        }
        85%{
            transform: scale(1.13);
        }
        to {
            transform: scale(1.1);
        }
    }
    .header-style1 .header-menu> li:hover{
        animation: header_ani_1 .5s ease 0s 1 ;
    }
    .header-shopingcart::after,
    .header-member::after{
        content: '';
        width: 100%;
        height: 100%;
        display: block;
        position: absolute;
        top: 0;
        left: 0;
        border-radius: 50%;
        background-color: #a18873;
    }
    .header-member::after{
        background-color: #3f3437;
    }
    .header-shopingcart:hover::after,
    .header-member:hover::after,
    .index-fixed-dividend-box:hover{
        animation: header_ani_2 .5s linear 0s 1 both;
    }
}